KDE 4.5 PyKDE API Reference

- KDE's Python API

# GeoDataHotSpot Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble.GeoDataHotSpot

## Detailed Description

## Enumerations

Units | { Fraction, Pixels, InsetPixels }

## Methods

| __init__ (self, QPointF hotSpot=QPointF(0.5,0.5), Marble.GeoDataHotSpot.Units xunits=Marble.GeoDataHotSpot.Fraction, Marble.GeoDataHotSpot.Units yunits=Marble.GeoDataHotSpot.Fraction)
| __init__ (self, Marble.GeoDataHotSpot other)
QPointF | hotSpot (self, Marble.GeoDataHotSpot.Units xunits, Marble.GeoDataHotSpot.Units yunits)
QString | nodeType (self)
| pack (self, QDataStream stream)
| setHotSpot (self, QPointF hotSpot=QPointF(0.5,0.5), Marble.GeoDataHotSpot.Units xunits=Marble.GeoDataHotSpot.Fraction, Marble.GeoDataHotSpot.Units yunits=Marble.GeoDataHotSpot.Fraction)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | QPointF | hotSpot=QPointF(0.5,0.5),
|  | Marble.GeoDataHotSpot.Units | xunits=Marble.GeoDataHotSpot.Fraction,
|  | Marble.GeoDataHotSpot.Units | yunits=Marble.GeoDataHotSpot.Fraction
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataHotSpot | other
| ) |  |  |

QPointF hotSpot | ( | self, |
|  | Marble.GeoDataHotSpot.Units | xunits,
|  | Marble.GeoDataHotSpot.Units | yunits
| ) |  |  |

this function returns the hotspot and the units the hotspot is measured in

Parameters:

  | xunits | after running hotspot, you'll receive the unit in which x is measured
  | yunits | the same for y

Returns:
  the point of the hotspot

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

setHotSpot | ( | self, |
|  | QPointF | hotSpot=QPointF(0.5,0.5),
|  | Marble.GeoDataHotSpot.Units | xunits=Marble.GeoDataHotSpot.Fraction,
|  | Marble.GeoDataHotSpot.Units | yunits=Marble.GeoDataHotSpot.Fraction
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

## Enumeration Documentation

Units

Enumerator:

  Fraction |
  Pixels |
  InsetPixels |